Debian Bug report logs - #194225
kernel-patch-2.4-grsecurity: does not patch cleanly with latest kernel-source-2.4.20 package

version graph

Package: kernel-patch-grsecurity2; Maintainer for kernel-patch-grsecurity2 is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for kernel-patch-grsecurity2 is src:linux-patch-grsecurity2.

Reported by: Mitchell Smith <mjs@blitztechnology.net>

Date: Wed, 21 May 2003 22:33:02 UTC

Severity: wishlist

Tags: confirmed, help, patch, wontfix

Merged with 199519, 206458, 211213

Fixed in versions 2.0.1-2, kernel-patch-grsecurity2/2.0.1-2

Done: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>, kernel-patch-2.4-grsecurity@packages.qa.debian.org:
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Mitchell Smith <mjs@blitztechnology.net>:
New Bug report received and forwarded. Copy sent to Jonathan McDowell <noodles@earth.li>, kernel-patch-2.4-grsecurity@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mitchell Smith <mjs@blitztechnology.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-patch-2.4-grsecurity: does not patch cleanly with latest kernel-source-2.4.20 package
Date: Thu, 22 May 2003 08:32:22 +1000
Package: kernel-patch-2.4-grsecurity
Version: 1.9.9f-1
Severity: normal
Tags: sid


kernel-patch-2.4-grsecurity does not patch cleanly with the kernel-source-2.4.20 package downloaded from the unstable tree yesterday.

This is what I get when applying the patch straight after extracting the tarball
Testing whether "Greater Security for Linux 2.4.x" patch for 2.4.20 applies (dry run):
1 out of 1 hunk FAILED -- saving rejects to file arch/sparc64/kernel/sparc64_ksyms.c.rej
1 out of 2 hunks FAILED -- saving rejects to file fs/proc/proc_misc.c.rej
"Greater Security for Linux 2.4.x" patch for 2.4.20 does not apply cleanly

No other patches had been applied to this kernel before applying the grsecurity patch.

The version of the kernel-source package I am using is 2.4.20-7

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux tsunami 2.4.20 #1 Wed May 21 11:10:34 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages kernel-patch-2.4-grsecurity depends on:
ii  bash                          2.05b-7    The GNU Bourne Again SHell
ii  grep-dctrl                    1.11       Grep Debian package information
ii  kernel-patch-scripts          0.99.22    Scripts to help dealing with packa
ii  patch                         2.5.4-11   Apply a diff file to an original





Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>, kernel-patch-2.4-grsecurity@packages.qa.debian.org:
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Miernik <miernik@ctnet.pl>:
Extra info received and forwarded to list. Copy sent to Jonathan McDowell <noodles@earth.li>, kernel-patch-2.4-grsecurity@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 194225@bugs.debian.org (full text, mbox):

From: Miernik <miernik@ctnet.pl>
To: 194225@bugs.debian.org
Subject: Program received signal SIGSEGV, Segmentation fault.
Date: Thu, 22 May 2003 15:14:21 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here is more info:

I've done the 'deleting all but last 4' sheets operation once more. It 
ended after 2 hours, and ended with a segfault.

I've had gdb attached to it. During the run I've hadthis line apprear 
many thousand times:

** (gnumeric:641): CRITICAL **: file ../../src/expr.c: line 1544 (gnm_expr_rewrite): assertion `expr != NULL' failed

And at the end I got:

(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 641)]
0x08090829 in dependent_queue_recalc ()
(gdb) 

In top:

top - 12:51:39 up  4:20,  7 users,  load average: 1.38, 1.15, 1.14
Tasks:  66 total,   1 running,  64 sleeping,   1 stopped,   0 zombie
Cpu(s):   3.3% user,   5.6% system,   0.0% nice,  82.7% idle,   8.5% IO-wait
Mem:     62104k total,    60244k used,     1860k free,      492k buffers
Swap:   128480k total,    94596k used,    33884k free,     8556k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  Command
  641 miernik   25   0 73512  19m  15m T  0.0 32.5  55:24.25 gnumeric
  385 miernik   15   0 12980 6084 5216 S  0.0  9.8  32:19.75 xterm

The file http://www.miernik.ctnet.pl/a.gnumeric is exactly the file on 
which this operation was performed.

- -- 
    Miernik         ________________________ jabber:miernik@jabber.gda.pl
__ ICQ: 4004001 ___/__ tel: +48608233394 __/      mailto:miernik@ctnet.pl
Why software shouldn't be covered by patents
http://bladeenc.mp3.no/articles/software_patents.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+zM0sef2MJBeMWJ0RAjmOAJ44C88v0512eDT0VmjmgIQBAHtKpQCfWAnN
8yOvjG4CPolCYCIqj+Y4uRU=
=39lR
-----END PGP SIGNATURE-----



Information forwarded to kernel-patch-2.4-grsecurity@packages.qa.debian.org:
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Jonathan McDowell <noodles@earth.li>:
Extra info received and filed, but not forwarded. Copy sent to kernel-patch-2.4-grsecurity@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 194225-quiet@bugs.debian.org (full text, mbox):

From: Jonathan McDowell <noodles@earth.li>
To: Miernik <miernik@ctnet.pl>, 194225-quiet@bugs.debian.org
Subject: Re: Bug#194225: Program received signal SIGSEGV, Segmentation fault.
Date: Thu, 22 May 2003 17:55:15 +0100
[Message part 1 (text/plain, inline)]
On Thu, May 22, 2003 at 03:14:21PM +0200, Miernik wrote:
> Here is more info:
> 
> I've done the 'deleting all but last 4' sheets operation once more. It 
> ended after 2 hours, and ended with a segfault.
 
I think you've appended the info to the wrong bug - 194225 is a bug
against kernel-patch-2.4-grsecurity and has nothing to do with gnumeric,
which your report seems to reference.

J.

-- 
  You have a tendency to feel you  |  .''`.  Debian GNU/Linux Developer
  are superior to most computers.  | : :' :  Happy to accept PGP signed
                                   | `. `'   or encrypted mail - RSA +
                                   |   `-    DSA keys on the keyservers.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #20 received at 194225@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 206458@bugs.debian.org, 199510@bugs.debian.org, 194225@bugs.debian.org, 203759@bugs.debian.org, 204424@bugs.debian.org
Cc: control@bugs.debian.org
Subject: more info needed
Date: Tue, 2 Sep 2003 22:50:53 +0200
[Message part 1 (text/plain, inline)]
severity 194225 important
severity 203759 important
severity 204424 important
severity 206458 important
tags 194225 +moreinfo +help
tags 199510 +moreinfo +help
tags 203759 +moreinfo +help
tags 204424 +moreinfo +help
tags 206458 +moreinfo +help
merge 194225 206458
merge 204424 203759
thanks

Hey thee, submitters of bugs...

If you expect me to fix the bug in the grsecurity kernel patch not
applying cleanly to your version of the kernel (whichever that was),
then please provide more information. Building a kernel with patches
takes more time than I have. Please give me the output of `make-kpkg
configure`, but try to trim it down to the stuff related to
grsecurity.

Also, a tarball of *just* the .rej files would be incredibly
helpful. Try to put that somewhere for download, upload it to
ftp://ftp.madduck.net/incoming, just please don't send it via email.

I will tag these bugs as wontfix if I don't receive help on them.
The reason is that 2.4.22 is out, and thus these problems are
theoretically problems of the past.

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 206458. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Philip Thiem <witwerg@icequake.net>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #35 received at 194225@bugs.debian.org (full text, mbox):

From: Philip Thiem <witwerg@icequake.net>
To: 194225@bugs.debian.org
Subject: Along the same lines..
Date: Tue, 09 Sep 2003 01:08:29 -0500
I'm using 2.4.20-11, unstable, and experiencing the same problem.
Here is the full output I get.

Testing whether "Greater Security for Linux 2.4.x" patch for 2.4.20 applies 
(dry run):
1 out of 1 hunk FAILED -- saving rejects to file 
arch/alpha/kernel/entry.S.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/arm/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/cris/kernel/entry.S.rej
2 out of 6 hunks FAILED -- saving rejects to file 
arch/i386/kernel/process.c.rej
2 out of 2 hunks FAILED -- saving rejects to file 
arch/ia64/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/m68k/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/mips/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/mips64/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/parisc/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file arch/ppc/kernel/misc.S.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/ppc64/kernel/misc.S.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/s390/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/s390x/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/sh/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/sparc/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/sparc64/kernel/process.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
arch/sparc64/kernel/sparc64_ksyms.c.rej
1 out of 5 hunks FAILED -- saving rejects to file drivers/char/tty_io.c.rej
1 out of 11 hunks FAILED -- saving rejects to file fs/binfmt_elf.c.rej
2 out of 12 hunks FAILED -- saving rejects to file fs/exec.c.rej
1 out of 2 hunks FAILED -- saving rejects to file fs/proc/proc_misc.c.rej
1 out of 1 hunk FAILED -- saving rejects to file fs/proc/proc_tty.c.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-alpha/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-arm/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-cris/processor.h.rej
1 out of 2 hunks FAILED -- saving rejects to file 
include/asm-i386/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-ia64/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-m68k/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-mips/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-mips64/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-parisc/processor.h.rej
1 out of 2 hunks FAILED -- saving rejects to file 
include/asm-ppc/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-ppc64/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-s390/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-s390x/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-sh/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-sparc/processor.h.rej
1 out of 1 hunk FAILED -- saving rejects to file 
include/asm-sparc64/processor.h.rej
1 out of 13 hunks FAILED -- saving rejects to file include/linux/sched.h.rej
1 out of 6 hunks FAILED -- saving rejects to file kernel/fork.c.rej
2 out of 3 hunks FAILED -- saving rejects to file kernel/ptrace.c.rej
1 out of 7 hunks FAILED -- saving rejects to file kernel/sys.c.rej
"Greater Security for Linux 2.4.x" patch for 2.4.20 does not apply cleanly

Philip Thiem



GPG Pub Key Archived at wwwkeys.us.pgp.net
Isn't it obvious lumberjacks love traffic lights?





Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Philip Thiem <witwerg@icequake.net>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #40 received at 194225@bugs.debian.org (full text, mbox):

From: Philip Thiem <witwerg@icequake.net>
To: 194225@bugs.debian.org
Subject: Rejects
Date: Tue, 09 Sep 2003 01:23:22 -0500
[Message part 1 (text/plain, inline)]
I attached a tar.gz of the rejects as per:

tar -zxvf rejects.tar.gz `find -name *.rej`

in the source root.

Philip Thiem

GPG Pub Key Archived at wwwkeys.us.pgp.net
Isn't it obvious lumberjacks love traffic lights?

[rejects.tar.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to cavok@filibusta.crema.unimi.it (Domenico Andreoli):
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #45 received at 194225@bugs.debian.org (full text, mbox):

From: cavok@filibusta.crema.unimi.it (Domenico Andreoli)
To: 194225@bugs.debian.org, 199519@bugs.debian.org, 210762@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: kernel-patch-2.4-grsecurity: does not apply cleanly to kernel-source-2.4.20, 2.4.21 and 2.4.22
Date: Fri, 19 Sep 2003 04:44:07 +0200
hi martin,

i want to inform you that these bugs about grsecurity patch not applying
correctly to kernel-source-2.4.2x are all easily reproducible.

it suffices to install the kernel package and your grsecurity patch
and try to compile the kernel.

BTW i mostly converted the grsecurity patch for 2.4.22 (see bug #211213),
it was quite easy. with some (little) help from kernel maintainer i'm
sure it is possible to perform a full conversion. actually my patch
breaks randomization of IP IDs.

looking to other packaged patches, it seems possible to make two distinct
patches for both vanilla and debian kernel. this way you can support
both kind of kernel users.

IMHO your way to manage with these bug reports is insufficient, it
reminds me a ostrich with its head in the sand. sorry.

ciao
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://filibusta.crema.unimi.it/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Tags added: wontfix, confirmed Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo, sid Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo, sid Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix, confirmed Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #62 received at 194225@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: undisclosed-recipients: ;
Subject: grsecurity bugs
Date: Sun, 21 Sep 2003 14:01:29 +0200
[Message part 1 (text/plain, inline)]
I have uploaded a new version of grsecurity. However, it won't
support Debian kernels 2.4.20 and up. README.2.4.2x in the package
will tell you why. In addition:

  http://lists.debian.org/debian-devel/2003/debian-devel-200309/msg01133.html

I am sorry if this inconveniences you. I don't have a choice, not
only because I can't afford to put more time into this, but also
because I am not going to remove functionality from grsecurity,
which would be required to cater for the Debian kernels.

Please complain to the kernel maintainer(s) if you don't like this.
Or just use a vanilla kernel source tree.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#194225; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Merged 194225 199519 206458. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 199519 206458 211213. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-patch-2.4-grsecurity' to `kernel-patch-grsecurity2'. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mitchell Smith <mjs@blitztechnology.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #78 received at 194225-done@bugs.debian.org (full text, mbox):

From: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>
To: 267851-done@bugs.debian.org, 194225-done@bugs.debian.org, 199519-done@bugs.debian.org, 206458-done@bugs.debian.org, 211213-done@bugs.debian.org
Subject: fixed in 2.0.1-2
Date: Sun, 19 Sep 2004 22:18:26 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Sep 2004 17:37:27 +0000
Source: kernel-patch-grsecurity2
Binary: kernel-patch-grsecurity2
Architecture: source all
Version: 2.0.1-2
Distribution: unstable
Urgency: medium
Maintainer: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Changed-By: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Description: 
 kernel-patch-grsecurity2 - grsecurity kernel patch - new major upstream version
Changes: 
 kernel-patch-grsecurity2 (2.0.1-2) unstable; urgency=medium
 .
   * Port grsecurity2-2.4.27 to the Debian kernel, this makes easier for
     users to follow Debian kernels with backported security fixes once
     stable (Sarge) is released. Thanks for everyone testing it!
   * Include PaX patches as well.
   * Update template descriptions, thanks to Luk Claes, Eric and Hideki
     Yamane again.
Files: 
 da6f56b55c156005170b49d83a9b5c50 574 devel extra kernel-patch-grsecurity2_2.0.1-2.dsc
 3f76987dc5083a3a949a248f2baa7e11 796274 devel extra kernel-patch-grsecurity2_2.0.1-2.tar.gz
 7d04680fd5fede4858494e760f1855ec 802936 devel extra kernel-patch-grsecurity2_2.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBSzQiMDatjqUaT90RAlR3AJ9fu2wf+rYI9paa3RgHIfxIhZkMiACgjHf7
myAdnkR2UlY/R6Rb4uMoMYc=
=dPlA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:02:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.